import karamba

def initWidget(widget):
    global initialized
    initialized = 0
    global mouse_over 
    mouse_over = 0

def widgetUpdated(widget):
	global mouse_over
	global initialized
	if initialized == 0:
		global back
		global icon
		global text

		back = karamba.createImage(widget, 0, 3, "pics/button_normal.png")
		icon = karamba.createImage(widget, 0, 6, "pics/go.png")
		text = karamba.createText(widget, 30, 14, 70, 26, "Debian")
		karamba.changeTextFont(widget,text,"Arial Black")
		karamba.changeTextSize(widget,text,12)
		karamba.changeTextColor(widget,text,20,80,132)
		karamba.changeTextShadow(widget,text,2)
		initialized = 1
		karamba.redrawWidget(widget)
	elif mouse_over == 0:
		karamba.removeImageEffects(widget,back)
		karamba.removeImageEffects(widget,icon)
		karamba.changeTextColor(widget,text,20,80,132)


def widgetClicked(widget, x, y, button):
    if 0<=x<=103 and 0<=y<=42:
	if button == 1:
	    karamba.removeImageEffects(widget,back)
	    karamba.removeImageEffects(widget,icon)
	    karamba.changeTextColor(widget,text,20,80,132)

def widgetMouseMoved(widget, x, y, button):
	global back
	global text
	global mouse_over
	if 0<=x<=100 and 0<=y<=42:
		if button == 0:
			if mouse_over != 1:
				karamba.changeImageIntensity(widget, back, 0.6, 0)
				karamba.changeImageIntensity(widget, icon, 1, 0)
				karamba.changeTextColor(widget,text,39,154,255)
				mouse_over = 1
    	else:
		mouse_over = 0
